#ifndef SHARED_MEMORY_H
#define SHARED_MEMORY_H

#include "internal.hpp"
#include <string>
#include <sys/shm.h>

//ID-Speicherbereich
//Größe des Speicherbereichs hier 8MB (8000)
//Shared-Memory-Segment erstellen oder öffnen – shmget()
constexpr int Max_Memory_Size (8000 * 512);
const std::string configFile ("../res/config.toml");
void deleteSharedMemory(int s);
void deleteSharedMemory();
void initSharedMemory();
void getConfig();
key_t changedKey();
std::string getAnswerFromUser();
//Config File

#endif //SHARED_MEMORY_H
